package com.base.appzxhy.ui.adapter

import android.content.Context
import android.view.ViewGroup
import com.base.appzxhy.bean.BenefitsTask
import com.base.appzxhy.utils.XmlEx.inflate
import com.chad.library.adapter4.BaseQuickAdapter

abstract class BaseBenefitsTaskAdapter(
    val layout: Int
) : BaseQuickAdapter<BenefitsTask, CommonViewHolder>() {

    override fun onCreateViewHolder(context: Context, parent: ViewGroup, viewType: Int): CommonViewHolder {
        return CommonViewHolder(layout.inflate(parent))
    }

}